/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 *----------------------------------------------
 * Febraury, 20th, 2001
 * Code cleanup and comment translation
*/
#ifndef EMI_H
#define EMI_H
#include "portable.h"
#include "tclass.h"

#ifdef __cplusplus
extern "C" {
#endif

  ESint32 EDMAPROC GetEMIComp (EPChar);
  EUint32 EDMAPROC AddEMIComp (EPChar,EPChar);
  EUint32 EDMAPROC HookGetClass(CLASSID);
  EUint32 EDMAPROC ActualizeCFG();
  
  ESint32 EDMAPROC GetNEMIHandlers (void);
  CLASSID EDMAPROC GetEMIHandlerClass (ESint32 i);
  
#ifdef __cplusplus
}
#endif
#endif
