/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 *--------------------------------------------------
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
 */
#ifndef OBJQ_H
#define OBJQ_H
#include "portable.h"
#include "tobj.h"
#ifdef __cplusplus
extern "C" {
#endif

POBJ	EDMAPROC GetPObj (OBJID);
OBJID	EDMAPROC GetParentId(OBJID);
OBJID   EDMAPROC GetPseudoParentId (OBJID);
EPChar  EDMAPROC GetObjClassName(OBJID ,EPChar *);
CLASSID EDMAPROC GetObjClassId(OBJID);

void    EDMAPROC SetObjName(OBJID,EPChar);
EPChar  EDMAPROC GetObjName(OBJID,EPChar*);
OBJID   EDMAPROC GetIdObjbyName (EPChar);

EByte   EDMAPROC GetObjStatus(OBJID );
EUint32 EDMAPROC GetNObj(void);

EUint32 EDMAPROC GetObjNumSC(OBJID );
OBJID   EDMAPROC GetObjSC(OBJID ,EUint32 );
OBJID   EDMAPROC GetObjApp(OBJID );
EUint32 EDMAPROC GetAppId (void);
EUint32 EDMAPROC ObjReport(OBJID);

#ifdef __cplusplus
}
#endif
#endif


