/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 * Entorno de Desarrollo Modular y Abierto
 * Version 0.3r1
 * (c) David Martnez Oliveira
 * 
 * Fichero de cabecera para extensin de primitivas de nivel 3
 * 
 * Revisiones:
 * 10/12/1997
 *   Creacin del fichero
 * -----------------------------------------------------------------
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
*/

#ifndef PRI3X_H
#define PRI3X_H
#include "portable.h"
#include "tobj.h"
#include "tclass.h"

#ifdef __cplusplus
extern "C"{
#endif

  EPVoid EDMAPROC EDMAMet3S (OBJID,EPChar,EPChar,EPVoid);
  EPVoid EDMAPROC EDMAWProp3 (OBJID,EPChar,EPVoid);
  EPVoid EDMAPROC EDMARProp3 (OBJID,EPChar,EPVoid);
  EPVoid EDMAPROC EDMAMet3 (OBJID,EPChar,EPVoid);
  
#ifdef __cplusplus
}
#endif

#endif
