/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
*********************************************************
 Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Vigo 17 de Octubre de 1996

 Versin 0.3r1
 ---------------------------------------------------------

 Fichero de Cabecera para Mdulo de gestin sistemas
 Operativos y hardware

 *********************************************************
 * --------------------------------------------
 * Febraury, 19th, 2001
 * Code cleanup and coment translation
*/
#ifndef SYS31_h
#define SYS31_h
#include "portable.h"

typedef ESint32		SOID;
typedef ESint32		MAQID;
typedef struct
{
  EChar	        Nombre[32];
  EUint32	Id;
} SYS_SO;

typedef struct
{
  EChar	        Nombre[32];
  EUint32	Id;
} SYS_MAQ;


#ifdef __cplusplus
extern "C"{
#endif
  EByte	IniSysTable (EPChar);
  EUint32 EDMAPROC GetMaqId (EPChar);
  EUint32 EDMAPROC GetSOId (EPChar);
  EUint32 EDMAPROC GetMaqName (EUint32,EPChar*);
  EUint32 EDMAPROC GetSOName (EUint32,EPChar*);
  EUint32 EDMAPROC nSO(void);
  EUint32 EDMAPROC nMaq(void);
#ifdef __cplusplus
}
#endif
#endif

