/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

/*
 *---------------------------------------------------------
 * Febraury, 20th, 2001
 * Code cleanup and comment tranlation
 * ----------------------------------------------------------
 * November, 11th,2001
 * Added prototypes for IsMetAbstract and IsMetStatic primitives
 */

#ifndef CLASSQ_H
#define CLASSQ_H
#include "portable.h"
#include "tclass.h"
#include "tobj.h"
#ifdef __cplusplus
extern "C" {
#endif

  ESint32 EDMAPROC GetClaseName (CLASSID,EPChar);   
  ESint32 EDMAPROC GetClaseModule (CLASSID,EPChar);
  SOID	  EDMAPROC GetClaseSOId (CLASSID);
  MAQID	  EDMAPROC GetClaseMaqId (CLASSID);
  EUint32 EDMAPROC GetRegClases (void);
  CLASSID EDMAPROC GetClassId (EPChar);
  ESint32 EDMAPROC IsIDFParser (CLASSID id);
  ESint32 EDMAPROC IsSIUProxy (CLASSID id);
  ESint32 EDMAPROC IsEMIHandler (CLASSID id);

  ESint32 EDMAPROC GetPropNum (CLASSID);
  ESint32 EDMAPROC GetPropName (CLASSID,EUint32,EPChar);
  ESint32 EDMAPROC GetPropType (CLASSID,EUint32,EPChar);
  ESint32 EDMAPROC GetPropId (CLASSID ,EPChar);
  
  ESint32 EDMAPROC GetMetNum (CLASSID);
  ESint32 EDMAPROC GetMetName (CLASSID,EUint32,EPChar);
  ESint32 EDMAPROC GetMetSig(CLASSID,EUint32,EPChar);
  ESint32 EDMAPROC GetMetId (CLASSID ,EPChar);
  ESint32 EDMAPROC IsMetVirtual (CLASSID,EUint32);
  ESint32 EDMAPROC IsMetAbstract (CLASSID,EUint32);
  ESint32 EDMAPROC IsMetStatic (CLASSID,EUint32);
  
  ESint32 EDMAPROC GetPropTypeId(CLASSID,EUint32);
  ESint32 EDMAPROC GetPropTypeSig(CLASSID,EUint32,EPChar);
  ESint32 EDMAPROC GetPropNElems(CLASSID,EUint32);
  ESint32 EDMAPROC GetTypeSize(EUint32);
  EUint32 EDMAPROC GetTypeSig(EUint32,EPChar);   
  ESint32 EDMAPROC GetPropId3 (OBJID,EPChar,CLASSID*);
  
#ifdef __cplusplus
}
#endif
//---------------------------------------------------------------------------
#endif
