/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
*********************************************************
Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Versin Beta 0.3r1
 Vigo 22 de Junio de 1997

---------------------------------------------------------

Fichero de cabecera para mdulo de funciones para herencia

REVISIONES:------------------------------------------------
* Febraury, 20th, 2001
* Code cleanup and comment translation
*********************************************************
*/
#ifndef INH31_H
#define INH31_H

#include "portable.h"

#ifdef __cplusplus
extern "C"{
#endif
  /* Static inheritance Primitives*/
  EUint32 EDMAPROC DeriveClass (EPChar,EPChar*,EPChar *);
  
  /* Dynamic inheritance Primitives*/
  EUint32 EDMAPROC AddSCObj	(POBJ,EPChar*,EPChar*);
  EUint32 EDMAPROC OverSCObj (POBJ,EUint32,EPChar,EPChar);
  EUint32 EDMAPROC MutateObj (POBJ,EPChar*,EPChar*);
  
  /* Object Merging Primitives*/
  EUint32 EDMAPROC MergeObj	(OBJID,EPChar,OBJID);
  EUint32 EDMAPROC FreeSC		(OBJID,EPChar);

#ifdef __cplusplus
}
#endif
#endif
