/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

/*
*********************************************************
 Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Vigo 17 de Octubre de 1996

 Versin 0.3r1
---------------------------------------------------------

 Mdulo caecera para funciones miscelnea

 *********************************************************
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
 * ---------------------------------------------------------
 * Added EBufferRealloc function
*/

/* Prototypes */
#ifndef MISC_H
#define MISC_H

#include "portable.h"
#include "tobj.h"
#include "ttypes.h"

#ifdef __cplusplus
extern "C"{
#endif
  EUint32 EDMAPROC ECout(EPChar);
  EUint32 EDMAPROC ECoutObj(OBJID IdObj,EPChar f,...);
  EUint32 EDMAPROC ECout1(EPChar f,...);
  EUint32 EDMAPROC ECoutErr(EPChar f,...);
  EUint32 EDMAPROC ECoutDbg(EUint32 l,OBJID IdObj,EPChar f,...);
  EUint32 EDMAPROC SetAppName (EPChar);
  EPChar EDMAPROC GetSystemPath();
  EUint32 EDMAPROC SetDebugLevel (EUint32 l);

  ESint32 EDMAPROC EBufferAlloc(EDMAT_BUFFER *,EUint32);
  ESint32 EDMAPROC EBufferFree (EDMAT_BUFFER*);   
  ESint32 EDMAPROC EBufferRealloc (EDMAT_BUFFER*,EUint32);
  
#ifdef __cplusplus
}
#endif
#endif
