/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
 */
#ifndef MULTIIDF_H
#define MULTIIDF_H
#include "portable.h"
#include "tclass.h"

#ifdef __cplusplus
extern "C" {
#endif
  ESint32 EDMAPROC GetNParsers (void);
  CLASSID EDMAPROC GetParserClass (ESint32 i);
  ESint32 EDMAPROC GetParser (EPChar);
  EUint32 EDMAPROC AddParser (EPChar,EPChar);
  /* IDF Parser interface*/
  CLASSID EDMAPROC IDFGetClassID();
  ESint32 EDMAPROC IDFSetGeneral(CLASSID ,EPChar,EPChar,EPChar,EPChar);
  ESint32 EDMAPROC IDFSetDef(CLASSID,EUint32,EUint32,EUint32);
  ESint32 EDMAPROC IDFSetProp (CLASSID,EUint32,EPChar,EPChar,EPChar,EUint32);
  ESint32 EDMAPROC IDFSetMet (CLASSID iC,EUint32 iP,EPChar ,EPChar,EByte,EByte,EByte);
  ESint32 EDMAPROC IDFSetSCList (CLASSID ,EPChar	*);
  ESint32 EDMAPROC IDFSetClassID (CLASSID );
#ifdef __cplusplus
}
#endif
#endif
