/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Versin Beta 0.3r1
 15 de Junio de 1997

 Primitivas de Objeto de nivel1 (HEADER)

 REVISIONES:-------------------------------------------------------------
 15 de Junio de 1997
 * -----------------------------------------------------
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
*/

#ifndef PRI1_H
#define PRI1_H
#include "portable.h"
#include "tobj.h"

#ifdef __cplusplus
extern "C"{
#endif
  
  EPVoid  EDMAPROC WProp1 (OBJID,EUint32,...);
  EPVoid  EDMAPROC RProp1 (OBJID,EUint32,...);
  EUint32 EDMAPROC Met1 (OBJID,EUint32,EByte,EPVoid);
  
  EPVoid  EDMAPROC EDMAWProp1 (OBJID,EUint32,EPVoid);
  EPVoid  EDMAPROC EDMARProp1 (OBJID,EUint32,EPVoid);
  EUint32 EDMAPROC EDMAMet1 (OBJID,EUint32,EByte,EPVoid);
  
#ifdef __cplusplus
}
#endif

#endif
