/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 
/*
 Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Versin Beta 0.3r1
 2 de Julio de 1997

 Primitivas de Objeto de nivel 3 (HEADER)

 REVISIONES:-------------------------------------------------------------
 * Febraury, 24th, 2001
 * Code cleanup and comment translation
*/

#ifndef PRI3_H
#define PRI3_H
#include "portable.h"
#include "tobj.h"
#include "tclass.h"

#ifdef __cplusplus
extern "C"{
#endif

  EPVoid  EDMAPROC Met3S (OBJID,EPChar,EPChar,...);
  EUint32 EDMAPROC MakeStack (EUint32 a,...);
  EPVoid  EDMAPROC WProp3 (OBJID,EPChar,...);
  EPVoid  EDMAPROC RProp3 (OBJID,EPChar,...);
  EPVoid  EDMAPROC Met3 (OBJID,EPChar,...);
  
  EPVoid  EDMAPROC GetRef3 (OBJID);
  
  POBJ      EDMAPROC GetSubObj (POBJ ,EPChar ,EPChar ,EPChar);
  POBJ      EDMAPROC GetSubObj1 (POBJ,EPChar,EPChar,PVIR_DATA *,EByte,EPChar);
  PVIR_DATA EDMAPROC GetVirtualData (POBJ,EPChar,PVIR_DATA *,EByte *);
  
#ifdef __cplusplus
}
#endif

#endif
