/*
 * EDMA: Entorno de Desarrollo Modular y Abierto
 * Object Oriented and Componetware Framework
 * Copyright (C) 1998-2001  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

/*
*********************************************************
 Entorno de Desarrollo Modular y Abierto
 (c) David Martnez Oliveira
 Vigo 24 de Septiembre de 1996

 Versin 0.3r1
---------------------------------------------------------

 Variables Globales de EDMA
 REVISIONES:---------------------------------------------
 22 de Febrero de 1997
 Modificacin de variables globales como huge de acuerdo
 a las modificaciones en el fichero INI31.C
 ----------------------------------------------------------------
 29 de Abril de 1997
 Modificaciones para la Beta WIN32
 *---------------------------------------------------------------
 * Febraury, 20th, 2001
 * Code cleanup and comment translation 
*********************************************************
*/
#ifndef VGLOBAL_H
#define VGLOBAL_H
#include "portable.h"
#include "const.h"
#include "systyp.h"
#include "ttypes.h"

#ifdef __cplusplus
extern "C"{
#endif
  extern	SYS_GLOBAL_VAR *GVar;
#define gClase SClase
#define gObj   SObjeto
  
  extern TIPOS 	 tipo[MAX_TIPOS];  /* Data type definition*/
  extern EPByte	 ProcMapTable;  /* Per-process primitive mapping table*/
  extern HMEM	 hProcMapTable; /* Handle for ProcMapTable array*/
  extern HMEM	 ConOut;        /* Console Handler for windows version*/
  extern HMEM	 hpClase;       
  extern HMEM    hfClase;   
  extern HMEM    hSClase,hSObj;
  extern OBJ     *SObjeto;
  extern CLASE   *SClase;   
  extern PCLASE	 *pClase;
  extern FCLASE  *fClase;   
  extern EUint32 AppId;
  extern EChar	 AppName[80];
  extern PPROC	 ProcEPTable[MAX_PRIM];	

#ifdef __cplusplus
}
#endif
#endif
